diff --git a/doc/bash.ps b/doc/bash.ps
index a8c69550..fc4aa215 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -1,6 +1,6 @@
 %!PS-Adobe-3.0
 %%Creator: groff version 1.19
-%%CreationDate: Tue Apr 20 15:26:44 2004
+%%CreationDate: Tue Jun  1 12:27:23 2004
 %%DocumentNeededResources: font Times-Roman
 %%+ font Times-Bold
 %%+ font Times-Italic
@@ -10,7 +10,7 @@
 %%+ font Palatino-Italic
 %%+ font Palatino-Bold
 %%DocumentSuppliedResources: procset grops 1.19 0
-%%Pages: 63
+%%Pages: 64
 %%PageOrder: Ascend
 %%DocumentMedia: Default 612 792 0 () ()
 %%Orientation: Portrait
@@ -335,7 +335,7 @@ E F2(po)2.5 E F0(\(portable object\) \214le format.)2.5 E F2
 144 686.4 Q .3 -.15(ve \()-.25 H(see).15 E F4(INV)2.5 E(OCA)-.405 E
 (TION)-.855 E F0(belo)2.25 E(w\).)-.25 E F2(\255\255login)108 703.2 Q F0
 (Equi)144 715.2 Q -.25(va)-.25 G(lent to).25 E F2<ad6c>2.5 E F0(.)A
-(GNU Bash-3.0)72 768 Q(2004 Apr 20)148.735 E(1)203.725 E 0 Cg EP
+(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(1)202.335 E 0 Cg EP
 %%Page: 2 2
 %%BeginPageSetup
 BP
@@ -458,7 +458,7 @@ F(ariable)-.25 E F3 -.27(BA)108 679.2 S(SH_ENV).27 E F0 1.01(in the en)
 108 727.2 S 2.5(tt).2 G(he v)-2.5 E(alue of the)-.25 E F3 -.666(PA)2.5 G
 (TH)-.189 E F0 -.25(va)2.25 G
 (riable is not used to search for the \214le name.).25 E(GNU Bash-3.0)72
-768 Q(2004 Apr 20)148.735 E(2)203.725 E 0 Cg EP
+768 Q(2004 May 27)147.345 E(2)202.335 E 0 Cg EP
 %%Page: 3 3
 %%BeginPageSetup
 BP
@@ -583,7 +583,7 @@ F1(Pipelines)87 679.2 Q F0(A)108 691.2 Q F2(pipeline)2.919 E F0 .419
 F F1(|)2.92 E F0 5.42(.T)C .42(he format for a pipeline)-5.42 F(is:)108
 703.2 Q([)144 720 Q F1(time)A F0([)2.5 E F1<ad70>A F0(]] [ ! ])A F2
 (command)2.5 E F0([)2.5 E F1(|)2.5 E F2(command2)2.5 E F0(... ])2.5 E
-(GNU Bash-3.0)72 768 Q(2004 Apr 20)148.735 E(3)203.725 E 0 Cg EP
+(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(3)202.335 E 0 Cg EP
 %%Page: 4 4
 %%BeginPageSetup
 BP
@@ -703,7 +703,7 @@ A({)108 573.6 Q F1(list)2.5 E F0 2.5(;})C F1(list)3.89 E F0 .402
 F(SIONS)144 727.2 Q F5(.)A F0 -.8(Wo)5.633 G 1.133
 (rd splitting and pathname e).8 F 1.133
 (xpansion are not performed on the w)-.15 F 1.133(ords between the)-.1 F
-F3([[)3.632 E F0(GNU Bash-3.0)72 768 Q(2004 Apr 20)148.735 E(4)203.725 E
+F3([[)3.632 E F0(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(4)202.335 E
 0 Cg EP
 %%Page: 5 5
 %%BeginPageSetup
@@ -843,7 +843,7 @@ F F2(name)144 727.2 Q F0 .759(to be set to null.)3.439 F .759
 (The line read is sa)5.759 F -.15(ve)-.2 G 3.26(di).15 G 3.26(nt)-3.26 G
 .76(he v)-3.26 F(ariable)-.25 E F1(REPL)3.26 E(Y)-.92 E F0 5.76(.T)C(he)
 -5.76 E F2(list)3.35 E F0 .76(is e)3.94 F -.15(xe)-.15 G .76
-(cuted after).15 F(GNU Bash-3.0)72 768 Q(2004 Apr 20)148.735 E(5)203.725
+(cuted after).15 F(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(5)202.335
 E 0 Cg EP
 %%Page: 6 6
 %%BeginPageSetup
@@ -979,7 +979,7 @@ E(xpansion.)-.15 E(There are three quoting mechanisms: the)108 708 Q F2
 G(he)-2.974 E F2 .474(escape c)2.974 F(har)-.15 E(acter)-.15 E F0 5.474
 (.I).73 G 2.974(tp)-5.474 G(reserv)-2.974 E .474(es the literal v)-.15 F
 .474(alue of the ne)-.25 F .474(xt character that)-.15 F(GNU Bash-3.0)72
-768 Q(2004 Apr 20)148.735 E(6)203.725 E 0 Cg EP
+768 Q(2004 May 27)147.345 E(6)202.335 E 0 Cg EP
 %%Page: 7 7
 %%BeginPageSetup
 BP
@@ -1096,7 +1096,7 @@ d by one or more digits, other than the single digit 0.)3.935 F(Posi-)
 5.706 E .445(tional parameters are assigned from the shell')108 729.6 R
 2.944(sa)-.55 G -.18(rg)-2.944 G .444(uments when it is in).18 F -.2(vo)
 -.4 G -.1(ke).2 G .444(d, and may be reassigned using).1 F(GNU Bash-3.0)
-72 768 Q(2004 Apr 20)148.735 E(7)203.725 E 0 Cg EP
+72 768 Q(2004 May 27)147.345 E(7)202.335 E 0 Cg EP
 %%Page: 8 8
 %%BeginPageSetup
 BP
@@ -1214,7 +1214,7 @@ F F1 -.3(BA)144 619.2 S(SH_ARGV).3 E F0(.)A F1 -.3(BA)108 631.2 S
 F F1(${FUNCN)144 727.2 Q(AME[)-.2 E F3 8.951($i + 1)B F1(]})A F0 -.1(wa)
 11.451 G 11.451(sc).1 G 11.451(alled. The)-11.451 F 8.951
 (corresponding source \214le name is)11.451 F(GNU Bash-3.0)72 768 Q
-(2004 Apr 20)148.735 E(8)203.725 E 0 Cg EP
+(2004 May 27)147.345 E(8)202.335 E 0 Cg EP
 %%Page: 9 9
 %%BeginPageSetup
 BP
@@ -1315,7 +1315,7 @@ F(ariable)-.25 E .351(will not change the current directory)144 711.6 R
 5.35(.I)-.65 G(f)-5.35 E F3(DIRST)2.85 E -.495(AC)-.81 G(K).495 E F0 .35
 (is unset, it loses its special properties, e)2.6 F -.15(ve)-.25 G 2.85
 (ni).15 G(f)-2.85 E(it is subsequently reset.)144 723.6 Q(GNU Bash-3.0)
-72 768 Q(2004 Apr 20)148.735 E(9)203.725 E 0 Cg EP
+72 768 Q(2004 May 27)147.345 E(9)202.335 E 0 Cg EP
 %%Page: 10 10
 %%BeginPageSetup
 BP
@@ -1404,7 +1404,7 @@ R .01(alue to)-.25 F F2(RANDOM)2.51 E/F4 9/Times-Roman@0 SF(.)A F0(If)
 4.51 E F2(RANDOM)2.51 E F0(is)2.26 E
 (unset, it loses its special properties, e)144 720 Q -.15(ve)-.25 G 2.5
 (ni).15 G 2.5(fi)-2.5 G 2.5(ti)-2.5 G 2.5(ss)-2.5 G(ubsequently reset.)
--2.5 E(GNU Bash-3.0)72 768 Q(2004 Apr 20)148.735 E(10)198.725 E 0 Cg EP
+-2.5 E(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(10)197.335 E 0 Cg EP
 %%Page: 11 11
 %%BeginPageSetup
 BP
@@ -1513,7 +1513,7 @@ me e)-3.118 F(xpan-)-.15 E 3.131(sion. If)144 640.8 R 3.132<618c>3.131 G
 (all pre)144 724.8 R .698
 (vious lines matching the current line to be remo)-.25 F -.15(ve)-.15 G
 3.198(df).15 G .698(rom the history list before that line is)-3.198 F
-(GNU Bash-3.0)72 768 Q(2004 Apr 20)148.735 E(11)198.725 E 0 Cg EP
+(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(11)197.335 E 0 Cg EP
 %%Page: 12 12
 %%BeginPageSetup
 BP
@@ -1626,7 +1626,7 @@ E F1(LANG)108 648 Q F0 1.24(Used to determine the locale cate)7.11 F
 (rrides the v).15 F .764(alue of)-.25 F F1(LANG)3.264 E F0 .764(and an)
 3.264 F 3.264(yo)-.15 G(ther)-3.264 E F1(LC_)3.264 E F0 -.25(va)3.264 G
 .764(riable specifying a locale cate-).25 F(gory)144 696 Q(.)-.65 E
-(GNU Bash-3.0)72 768 Q(2004 Apr 20)148.735 E(12)198.725 E 0 Cg EP
+(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(12)197.335 E 0 Cg EP
 %%Page: 13 13
 %%BeginPageSetup
 BP
diff --git a/doc/bash.ps b/doc/bash.ps
index a8c69550..fc4aa215 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -2804,36 +2808,36 @@ F0 1.349(causes the \214le whose name is the e)108 129.6 R 1.349
 108 141.6 Q F2(n)2.5 E F0 2.5(,o).24 G 2.5(ro)-2.5 G 2.5<6e8c>-2.5 G
 (le descriptor 0 if)-2.5 E F2(n)2.86 E F0(is not speci\214ed.)2.74 E
 (If the \214le does not e)5 E(xist, it is created.)-.15 E/F3 10.95
-/Times-Bold@0 SF(ALIASES)72 158.4 Q F2(Aliases)108 170.4 Q F0(allo)3.174
-E 3.174(was)-.25 G .674(tring to be substituted for a w)-3.174 F .674
-(ord when it is used as the \214rst w)-.1 F .673
+/Times-Bold@0 SF(ALIASES)72 158.4 Q F2(Aliases)108 170.4 Q F0(allo)3.173
+E 3.173(was)-.25 G .674(tring to be substituted for a w)-3.173 F .674
+(ord when it is used as the \214rst w)-.1 F .674
 (ord of a simple command.)-.1 F .394(The shell maintains a list of alia\
-ses that may be set and unset with the)108 182.4 R F1(alias)2.894 E F0
-(and)2.894 E F1(unalias)2.894 E F0 -.2(bu)2.894 G .394(iltin commands).2
-F(\(see)108 194.4 Q/F4 9/Times-Bold@0 SF 1.98(SHELL B)4.48 F(UIL)-.09 E
-1.98(TIN COMMANDS)-.828 F F0(belo)4.23 E 4.48(w\). The)-.25 F 1.98
-(\214rst w)4.48 F 1.979(ord of each simple command, if unquoted, is)-.1
-F(check)108 206.4 Q .472(ed to see if it has an alias.)-.1 F .472
-(If so, that w)5.472 F .473(ord is replaced by the te)-.1 F .473
-(xt of the alias.)-.15 F .473(The characters)5.473 F F1(/)2.973 E F0(,)A
-F1($)2.973 E F0(,)A F1(`)2.973 E F0(,)A(and)108 218.4 Q F1(=)3.612 E F0
-1.112(and an)3.612 F 3.612(yo)-.15 G 3.612(ft)-3.612 G 1.112(he shell)
--3.612 F F2(metac)3.612 E(har)-.15 E(acter)-.15 E(s)-.1 E F0 1.112
-(or quoting characters listed abo)3.612 F 1.411 -.15(ve m)-.15 H 1.111
-(ay not appear in an alias).15 F 3.619(name. The)108 230.4 R 1.119
-(replacement te)3.619 F 1.119(xt may contain an)-.15 F 3.619(yv)-.15 G
-1.119(alid shell input, including shell metacharacters.)-3.869 F 1.12
-(The \214rst)6.12 F -.1(wo)108 242.4 S .514(rd of the replacement te).1
-F .514(xt is tested for aliases, b)-.15 F .514(ut a w)-.2 F .513
-(ord that is identical to an alias being e)-.1 F .513(xpanded is)-.15 F
-.295(not e)108 254.4 R .295(xpanded a second time.)-.15 F .296
-(This means that one may alias)5.295 F F1(ls)2.796 E F0(to)2.796 E F1
-.296(ls \255F)2.796 F F0 2.796(,f)C .296(or instance, and)-2.796 F F1
-(bash)2.796 E F0 .296(does not try)2.796 F .543(to recursi)108 266.4 R
--.15(ve)-.25 G .543(ly e).15 F .543(xpand the replacement te)-.15 F
-3.043(xt. If)-.15 F .543(the last character of the alias v)3.043 F .542
-(alue is a)-.25 F F2(blank)3.042 E F0 3.042(,t).67 G .542(hen the ne)
--3.042 F(xt)-.15 E(command w)108 278.4 Q(ord follo)-.1 E
+ses that may be set and unset with the)108 182.4 R F1(alias)2.893 E F0
+(and)2.893 E F1(unalias)2.893 E F0 -.2(bu)2.893 G .393(iltin commands).2
+F(\(see)108 194.4 Q/F4 9/Times-Bold@0 SF 1.979(SHELL B)4.479 F(UIL)-.09
+E 1.979(TIN COMMANDS)-.828 F F0(belo)4.229 E 4.48(w\). The)-.25 F 1.98
+(\214rst w)4.48 F 1.98(ord of each simple command, if unquoted, is)-.1 F
+(check)108 206.4 Q .473(ed to see if it has an alias.)-.1 F .473
+(If so, that w)5.473 F .472(ord is replaced by the te)-.1 F .472
+(xt of the alias.)-.15 F .472(The characters)5.472 F F1(/)2.972 E F0(,)A
+F1($)2.972 E F0(,)A F1(`)2.972 E F0(,)A(and)108 218.4 Q F1(=)3.611 E F0
+1.111(and an)3.611 F 3.611(yo)-.15 G 3.611(ft)-3.611 G 1.111(he shell)
+-3.611 F F2(metac)3.612 E(har)-.15 E(acter)-.15 E(s)-.1 E F0 1.112
+(or quoting characters listed abo)3.612 F 1.412 -.15(ve m)-.15 H 1.112
+(ay not appear in an alias).15 F 3.62(name. The)108 230.4 R 1.12
+(replacement te)3.62 F 1.119(xt may contain an)-.15 F 3.619(yv)-.15 G
+1.119(alid shell input, including shell metacharacters.)-3.869 F 1.119
+(The \214rst)6.119 F -.1(wo)108 242.4 S .513(rd of the replacement te).1
+F .513(xt is tested for aliases, b)-.15 F .513(ut a w)-.2 F .514
+(ord that is identical to an alias being e)-.1 F .514(xpanded is)-.15 F
+.296(not e)108 254.4 R .296(xpanded a second time.)-.15 F .296
+(This means that one may alias)5.296 F F1(ls)2.796 E F0(to)2.796 E F1
+.296(ls \255F)2.796 F F0 2.796(,f)C .295(or instance, and)-2.796 F F1
+(bash)2.795 E F0 .295(does not try)2.795 F .542(to recursi)108 266.4 R
+-.15(ve)-.25 G .542(ly e).15 F .542(xpand the replacement te)-.15 F
+3.042(xt. If)-.15 F .543(the last character of the alias v)3.042 F .543
+(alue is a)-.25 F F2(blank)3.043 E F0 3.043(,t).67 G .543(hen the ne)
+-3.043 F(xt)-.15 E(command w)108 278.4 Q(ord follo)-.1 E
 (wing the alias is also check)-.25 E(ed for alias e)-.1 E(xpansion.)-.15
 E(Aliases are created and listed with the)108 295.2 Q F1(alias)2.5 E F0
 (command, and remo)2.5 E -.15(ve)-.15 G 2.5(dw).15 G(ith the)-2.5 E F1
@@ -2848,130 +2852,130 @@ E(Aliases are created and listed with the)108 295.2 Q F1(alias)2.5 E F0
 (shell option is set)3.72 F(using)108 352.8 Q F1(shopt)2.5 E F0
 (\(see the description of)2.5 E F1(shopt)2.5 E F0(under)2.5 E F4
 (SHELL B)2.5 E(UIL)-.09 E(TIN COMMANDS)-.828 E F0(belo)2.25 E(w\).)-.25
-E .435
+E .436
 (The rules concerning the de\214nition and use of aliases are some)108
-369.6 R .436(what confusing.)-.25 F F1(Bash)5.436 E F0(al)2.936 E -.1
-(wa)-.1 G .436(ys reads at least).1 F .338
+369.6 R .435(what confusing.)-.25 F F1(Bash)5.435 E F0(al)2.935 E -.1
+(wa)-.1 G .435(ys reads at least).1 F .337
 (one complete line of input before e)108 381.6 R -.15(xe)-.15 G .338
 (cuting an).15 F 2.838(yo)-.15 G 2.838(ft)-2.838 G .338
-(he commands on that line.)-2.838 F .337(Aliases are e)5.337 F .337
-(xpanded when)-.15 F 3.403(ac)108 393.6 S .904
-(ommand is read, not when it is e)-3.403 F -.15(xe)-.15 G 3.404
+(he commands on that line.)-2.838 F .338(Aliases are e)5.338 F .338
+(xpanded when)-.15 F 3.404(ac)108 393.6 S .904
+(ommand is read, not when it is e)-3.404 F -.15(xe)-.15 G 3.404
 (cuted. Therefore,).15 F .904
-(an alias de\214nition appearing on the same line as)3.404 F 1.162
+(an alias de\214nition appearing on the same line as)3.404 F 1.161
 (another command does not tak)108 405.6 R 3.662(ee)-.1 G -.25(ff)-3.662
 G 1.162(ect until the ne).25 F 1.162(xt line of input is read.)-.15 F
-1.161(The commands follo)6.161 F 1.161(wing the)-.25 F .277
+1.162(The commands follo)6.162 F 1.162(wing the)-.25 F .277
 (alias de\214nition on that line are not af)108 417.6 R .277
 (fected by the ne)-.25 F 2.777(wa)-.25 G 2.777(lias. This)-2.777 F(beha)
-2.777 E .277(vior is also an issue when functions)-.2 F .699(are e)108
-429.6 R -.15(xe)-.15 G 3.199(cuted. Aliases).15 F .699(are e)3.199 F
+2.777 E .277(vior is also an issue when functions)-.2 F .698(are e)108
+429.6 R -.15(xe)-.15 G 3.198(cuted. Aliases).15 F .698(are e)3.198 F
 .699(xpanded when a function de\214nition is read, not when the functio\
-n is e)-.15 F -.15(xe)-.15 G(cuted,).15 E .494
+n is e)-.15 F -.15(xe)-.15 G(cuted,).15 E .495
 (because a function de\214nition is itself a compound command.)108 441.6
-R .495(As a consequence, aliases de\214ned in a func-)5.494 F .085
+R .494(As a consequence, aliases de\214ned in a func-)5.494 F .084
 (tion are not a)108 453.6 R -.25(va)-.2 G .084
 (ilable until after that function is e).25 F -.15(xe)-.15 G 2.584
 (cuted. T).15 F 2.584(ob)-.8 G 2.584(es)-2.584 G .084(afe, al)-2.584 F
--.1(wa)-.1 G .084(ys put alias de\214nitions on a sepa-).1 F
+-.1(wa)-.1 G .085(ys put alias de\214nitions on a sepa-).1 F
 (rate line, and do not use)108 465.6 Q F1(alias)2.5 E F0
 (in compound commands.)2.5 E -.15(Fo)108 482.4 S 2.5(ra).15 G(lmost e)
 -2.5 E -.15(ve)-.25 G
 (ry purpose, aliases are superseded by shell functions.).15 E F3
-(FUNCTIONS)72 499.2 Q F0 3.467(As)108 511.2 S .967
-(hell function, de\214ned as described abo)-3.467 F 1.267 -.15(ve u)-.15
+(FUNCTIONS)72 499.2 Q F0 3.468(As)108 511.2 S .968
+(hell function, de\214ned as described abo)-3.468 F 1.267 -.15(ve u)-.15
 H(nder).15 E F4 .967(SHELL GRAMMAR)3.467 F/F5 9/Times-Roman@0 SF(,)A F0
-.968(stores a series of commands for)3.217 F 1.002(later e)108 523.2 R
--.15(xe)-.15 G 3.502(cution. When).15 F 1.002(the name of a shell funct\
-ion is used as a simple command name, the list of com-)3.502 F .315
+.967(stores a series of commands for)3.217 F 1.001(later e)108 523.2 R
+-.15(xe)-.15 G 3.501(cution. When).15 F 1.002(the name of a shell funct\
+ion is used as a simple command name, the list of com-)3.501 F .316
 (mands associated with that function name is e)108 535.2 R -.15(xe)-.15
-G 2.816(cuted. Functions).15 F .316(are e)2.816 F -.15(xe)-.15 G .316
-(cuted in the conte).15 F .316(xt of the current)-.15 F .036
-(shell; no ne)108 547.2 R 2.536(wp)-.25 G .036
-(rocess is created to interpret them \(contrast this with the e)-2.536 F
--.15(xe)-.15 G .036(cution of a shell script\).).15 F .035(When a)5.035
-F .639(function is e)108 559.2 R -.15(xe)-.15 G .639(cuted, the ar).15 F
+G 2.816(cuted. Functions).15 F .316(are e)2.816 F -.15(xe)-.15 G .315
+(cuted in the conte).15 F .315(xt of the current)-.15 F .035
+(shell; no ne)108 547.2 R 2.535(wp)-.25 G .036
+(rocess is created to interpret them \(contrast this with the e)-2.535 F
+-.15(xe)-.15 G .036(cution of a shell script\).).15 F .036(When a)5.036
+F .64(function is e)108 559.2 R -.15(xe)-.15 G .64(cuted, the ar).15 F
 .639
 (guments to the function become the positional parameters during its e)
--.18 F -.15(xe)-.15 G(cution.).15 E .533(The special parameter)108 571.2
-R F1(#)3.033 E F0 .532(is updated to re\215ect the change.)3.033 F .532
-(Special parameter 0 is unchanged.)5.532 F .532(The \214rst ele-)5.532 F
-1.017(ment of the)108 583.2 R F4(FUNCN)3.517 E(AME)-.18 E F0 -.25(va)
-3.267 G 1.017
+-.18 F -.15(xe)-.15 G(cution.).15 E .532(The special parameter)108 571.2
+R F1(#)3.032 E F0 .532(is updated to re\215ect the change.)3.032 F .533
+(Special parameter 0 is unchanged.)5.532 F .533(The \214rst ele-)5.533 F
+1.018(ment of the)108 583.2 R F4(FUNCN)3.518 E(AME)-.18 E F0 -.25(va)
+3.268 G 1.017
 (riable is set to the name of the function while the function is e).25 F
--.15(xe)-.15 G 3.518(cuting. All).15 F 1.285
+-.15(xe)-.15 G 3.517(cuting. All).15 F 1.285
 (other aspects of the shell e)108 595.2 R -.15(xe)-.15 G 1.285
 (cution en).15 F 1.285
 (vironment are identical between a function and its caller with the)-.4
-F -.15(ex)108 607.2 S 1.96(ception that the).15 F F4(DEB)4.46 E(UG)-.09
-E F0 1.961(trap \(see the description of the)4.21 F F1(trap)4.461 E F0
--.2(bu)4.461 G 1.961(iltin under).2 F F4 1.961(SHELL B)4.461 F(UIL)-.09
-E 1.961(TIN COM-)-.828 F(MANDS)108 619.2 Q F0(belo)2.343 E .092
+F -.15(ex)108 607.2 S 1.961(ception that the).15 F F4(DEB)4.461 E(UG)
+-.09 E F0 1.961(trap \(see the description of the)4.211 F F1(trap)4.46 E
+F0 -.2(bu)4.46 G 1.96(iltin under).2 F F4 1.96(SHELL B)4.46 F(UIL)-.09 E
+1.96(TIN COM-)-.828 F(MANDS)108 619.2 Q F0(belo)2.342 E .092
 (w\) is not inherited unless the function has been gi)-.25 F -.15(ve)
 -.25 G 2.592(nt).15 G(he)-2.592 E F1(trace)2.592 E F0(attrib)2.592 E
-.092(ute \(see the description of)-.2 F(the)108 631.2 Q F4(declar)3.115
-E(e)-.162 E F0 -.2(bu)2.865 G .615(iltin belo).2 F .615(w\) or the)-.25
-F F1 .616(\255o functrace)3.115 F F0 .616
-(shell option has been enabled with the)3.116 F F1(set)3.116 E F0 -.2
-(bu)3.116 G .616(iltin \(in which).2 F(case all functions inherit the)
+.092(ute \(see the description of)-.2 F(the)108 631.2 Q F4(declar)3.116
+E(e)-.162 E F0 -.2(bu)2.866 G .616(iltin belo).2 F .616(w\) or the)-.25
+F F1 .616(\255o functrace)3.116 F F0 .616
+(shell option has been enabled with the)3.116 F F1(set)3.115 E F0 -.2
+(bu)3.115 G .615(iltin \(in which).2 F(case all functions inherit the)
 108 643.2 Q F1(DEB)2.5 E(UG)-.1 E F0(trap\).)2.5 E -1.11(Va)108 660 S
-.656(riables local to the function may be declared with the)1.11 F F1
-(local)3.155 E F0 -.2(bu)3.155 G .655(iltin command.).2 F(Ordinarily)
-5.655 E 3.155(,v)-.65 G .655(ariables and)-3.405 F(their v)108 672 Q
+.655(riables local to the function may be declared with the)1.11 F F1
+(local)3.155 E F0 -.2(bu)3.156 G .656(iltin command.).2 F(Ordinarily)
+5.656 E 3.156(,v)-.65 G .656(ariables and)-3.406 F(their v)108 672 Q
 (alues are shared between the function and its caller)-.25 E(.)-.55 E
-.043(If the b)108 688.8 R .043(uiltin command)-.2 F F1 -.18(re)2.543 G
+.044(If the b)108 688.8 R .043(uiltin command)-.2 F F1 -.18(re)2.543 G
 (tur).18 E(n)-.15 E F0 .043(is e)2.543 F -.15(xe)-.15 G .043
 (cuted in a function, the function completes and e).15 F -.15(xe)-.15 G
-.044(cution resumes with).15 F 1.012(the ne)108 700.8 R 1.012
+.043(cution resumes with).15 F 1.011(the ne)108 700.8 R 1.011
 (xt command after the function call.)-.15 F(An)6.011 E 3.511(yc)-.15 G
-1.011(ommand associated with the)-3.511 F F1(RETURN)3.511 E F0 1.011
-(trap is e)3.511 F -.15(xe)-.15 G(cuted).15 E .213(before e)108 712.8 R
--.15(xe)-.15 G .213(cution resumes.).15 F .213
-(When a function completes, the v)5.213 F .214
+1.011(ommand associated with the)-3.511 F F1(RETURN)3.512 E F0 1.012
+(trap is e)3.512 F -.15(xe)-.15 G(cuted).15 E .214(before e)108 712.8 R
+-.15(xe)-.15 G .214(cution resumes.).15 F .213
+(When a function completes, the v)5.214 F .213
 (alues of the positional parameters and the spe-)-.25 F(cial parameter)
 108 724.8 Q F1(#)2.5 E F0(are restored to the v)2.5 E(alues the)-.25 E
 2.5(yh)-.15 G(ad prior to the function')-2.5 E 2.5(se)-.55 G -.15(xe)
--2.65 G(cution.).15 E(GNU Bash-3.0)72 768 Q(2004 Apr 20)148.735 E(23)
-198.725 E 0 Cg EP
+-2.65 G(cution.).15 E(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(23)
+197.335 E 0 Cg EP
 %%Page: 24 24
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 389.54(SH\(1\) B).35 F(ASH\(1\))
--.35 E 1.359(Function names and de\214nitions may be listed with the)108
+-.35 E 1.358(Function names and de\214nitions may be listed with the)108
 84 R/F1 10/Times-Bold@0 SF<ad66>3.858 E F0 1.358(option to the)3.858 F
-F1(declar)3.858 E(e)-.18 E F0(or)3.858 E F1(typeset)3.858 E F0 -.2(bu)
-3.858 G 1.358(iltin com-).2 F 3.39(mands. The)108 96 R F1<ad46>3.39 E F0
+F1(declar)3.858 E(e)-.18 E F0(or)3.859 E F1(typeset)3.859 E F0 -.2(bu)
+3.859 G 1.359(iltin com-).2 F 3.39(mands. The)108 96 R F1<ad46>3.39 E F0
 .89(option to)3.39 F F1(declar)3.39 E(e)-.18 E F0(or)3.39 E F1(typeset)
 3.39 E F0 .89
 (will list the function names only \(and optionally the source)3.39 F
-.327(\214le and line number)108 108 R 2.827(,i)-.4 G 2.827(ft)-2.827 G
-(he)-2.827 E F1(extdeb)2.827 E(ug)-.2 E F0 .326
-(shell option is enabled\).)2.827 F .326(Functions may be e)5.326 F .326
-(xported so that subshells)-.15 F .011(automatically ha)108 120 R .311
+.326(\214le and line number)108 108 R 2.826(,i)-.4 G 2.826(ft)-2.826 G
+(he)-2.826 E F1(extdeb)2.826 E(ug)-.2 E F0 .326
+(shell option is enabled\).)2.826 F .327(Functions may be e)5.327 F .327
+(xported so that subshells)-.15 F .012(automatically ha)108 120 R .312
 -.15(ve t)-.2 H .011(hem de\214ned with the).15 F F1<ad66>2.511 E F0
 .011(option to the)2.511 F F1(export)2.511 E F0 -.2(bu)2.511 G 2.511
-(iltin. Note).2 F .012(that shell functions and v)2.511 F(ari-)-.25 E
-.188(ables with the same name may result in multiple identically-named \
-entries in the en)108 132 R .187(vironment passed to the)-.4 F(shell')
+(iltin. Note).2 F .011(that shell functions and v)2.511 F(ari-)-.25 E
+.187(ables with the same name may result in multiple identically-named \
+entries in the en)108 132 R .188(vironment passed to the)-.4 F(shell')
 108 144 Q 2.5(sc)-.55 G 2.5(hildren. Care)-2.5 F(should be tak)2.5 E
 (en in cases where this may cause a problem.)-.1 E
 (Functions may be recursi)108 160.8 Q -.15(ve)-.25 G 5(.N).15 G 2.5(ol)
 -5 G(imit is imposed on the number of recursi)-2.5 E .3 -.15(ve c)-.25 H
 (alls.).15 E/F2 10.95/Times-Bold@0 SF(ARITHMETIC EV)72 177.6 Q(ALU)
--1.478 E -1.04(AT)-.657 G(ION)1.04 E F0 2.297(The shell allo)108 189.6 R
+-1.478 E -1.04(AT)-.657 G(ION)1.04 E F0 2.298(The shell allo)108 189.6 R
 2.297(ws arithmetic e)-.25 F 2.297(xpressions to be e)-.15 F -.25(va)
 -.25 G 2.297(luated, under certain circumstances \(see the).25 F F1(let)
-4.798 E F0(and)4.798 E F1(declar)108 201.6 Q(e)-.18 E F0 -.2(bu)2.706 G
-.206(iltin commands and).2 F F1 .206(Arithmetic Expansion)2.706 F F0
-2.705(\). Ev)B .205(aluation is done in \214x)-.25 F .205(ed-width inte)
--.15 F .205(gers with no)-.15 F .428(check for o)108 213.6 R -.15(ve)
--.15 G(r\215o).15 E 1.728 -.65(w, t)-.25 H .428(hough di).65 F .428
-(vision by 0 is trapped and \215agged as an error)-.25 F 5.429(.T)-.55 G
-.429(he operators and their prece-)-5.429 F 1.92(dence, associati)108
-225.6 R(vity)-.25 E 4.42(,a)-.65 G 1.92(nd v)-4.42 F 1.92
-(alues are the same as in the C language.)-.25 F 1.919(The follo)6.919 F
-1.919(wing list of operators is)-.25 F(grouped into le)108 237.6 Q -.15
+4.797 E F0(and)4.797 E F1(declar)108 201.6 Q(e)-.18 E F0 -.2(bu)2.705 G
+.205(iltin commands and).2 F F1 .205(Arithmetic Expansion)2.705 F F0
+2.705(\). Ev)B .205(aluation is done in \214x)-.25 F .206(ed-width inte)
+-.15 F .206(gers with no)-.15 F .429(check for o)108 213.6 R -.15(ve)
+-.15 G(r\215o).15 E 1.729 -.65(w, t)-.25 H .429(hough di).65 F .428
+(vision by 0 is trapped and \215agged as an error)-.25 F 5.428(.T)-.55 G
+.428(he operators and their prece-)-5.428 F 1.919(dence, associati)108
+225.6 R(vity)-.25 E 4.419(,a)-.65 G 1.919(nd v)-4.419 F 1.919
+(alues are the same as in the C language.)-.25 F 1.92(The follo)6.92 F
+1.92(wing list of operators is)-.25 F(grouped into le)108 237.6 Q -.15
 (ve)-.25 G(ls of equal-precedence operators.).15 E(The le)5 E -.15(ve)
 -.25 G(ls are listed in order of decreasing precedence.).15 E/F3 10
 /Times-Italic@0 SF(id)108 254.4 Q F1(++)A F3(id)2.5 E F1<adad>A F0 -.25
@@ -2997,64 +3001,64 @@ A F3 -.2(ex)C(pr).2 E F1(:)A F3 -.2(ex)C(pr).2 E F0
 (Shell v)108 547.2 R .68(ariables are allo)-.25 F .68
 (wed as operands; parameter e)-.25 F .68
 (xpansion is performed before the e)-.15 F .68(xpression is e)-.15 F
--.25(va)-.25 G(lu-).25 E 3.508(ated. W)108 559.2 R 1.008(ithin an e)-.4
-F 1.008(xpression, shell v)-.15 F 1.007
+-.25(va)-.25 G(lu-).25 E 3.507(ated. W)108 559.2 R 1.007(ithin an e)-.4
+F 1.007(xpression, shell v)-.15 F 1.007
 (ariables may also be referenced by name without using the parameter)
--.25 F -.15(ex)108 571.2 S 1.04(pansion syntax.).15 F 3.54(As)6.04 G
-1.04(hell v)-3.54 F 1.04(ariable that is null or unset e)-.25 F -.25(va)
--.25 G 1.041(luates to 0 when referenced by name without).25 F 1.467
-(using the parameter e)108 583.2 R 1.467(xpansion syntax.)-.15 F 1.467
-(The v)6.467 F 1.467(alue of a v)-.25 F 1.467(ariable is e)-.25 F -.25
-(va)-.25 G 1.466(luated as an arithmetic e).25 F(xpression)-.15 E 1.389
+-.25 F -.15(ex)108 571.2 S 1.041(pansion syntax.).15 F 3.541(As)6.041 G
+1.041(hell v)-3.541 F 1.041(ariable that is null or unset e)-.25 F -.25
+(va)-.25 G 1.04(luates to 0 when referenced by name without).25 F 1.466
+(using the parameter e)108 583.2 R 1.466(xpansion syntax.)-.15 F 1.467
+(The v)6.466 F 1.467(alue of a v)-.25 F 1.467(ariable is e)-.25 F -.25
+(va)-.25 G 1.467(luated as an arithmetic e).25 F(xpression)-.15 E 1.39
 (when it is referenced, or when a v)108 595.2 R 1.389
-(ariable which has been gi)-.25 F -.15(ve)-.25 G 3.89(nt).15 G(he)-3.89
-E F3(inte)3.89 E -.1(ge)-.4 G(r).1 E F0(attrib)3.89 E 1.39(ute using)-.2
-F F1(declar)3.89 E 3.89(e-)-.18 G(i)-3.89 E F0(is)3.89 E .344
-(assigned a v)108 607.2 R 2.844(alue. A)-.25 F .343(null v)2.843 F .343
-(alue e)-.25 F -.25(va)-.25 G .343(luates to 0.).25 F 2.843(As)5.343 G
-.343(hell v)-2.843 F .343(ariable need not ha)-.25 F .643 -.15(ve i)-.2
-H .343(ts inte).15 F .343(ger attrib)-.15 F .343(ute turned on)-.2 F
-(to be used in an e)108 619.2 Q(xpression.)-.15 E 1.406
-(Constants with a leading 0 are interpreted as octal numbers.)108 636 R
-3.906(Al)6.406 G 1.407(eading 0x or 0X denotes he)-3.906 F(xadecimal.)
--.15 E .59(Otherwise, numbers tak)108 648 R 3.09(et)-.1 G .59(he form [)
--3.09 F F3(base#)A F0 .59(]n, where)B F3(base)3.089 E F0 .589
-(is a decimal number between 2 and 64 represent-)3.089 F .092
-(ing the arithmetic base, and)108 660 R F3(n)2.592 E F0 .093
-(is a number in that base.)2.592 F(If)5.093 E F3(base#)2.593 E F0 .093
-(is omitted, then base 10 is used.)2.593 F .093(The digits)5.093 F .065
+(ariable which has been gi)-.25 F -.15(ve)-.25 G 3.889(nt).15 G(he)
+-3.889 E F3(inte)3.889 E -.1(ge)-.4 G(r).1 E F0(attrib)3.889 E 1.389
+(ute using)-.2 F F1(declar)3.889 E 3.889(e-)-.18 G(i)-3.889 E F0(is)
+3.889 E .343(assigned a v)108 607.2 R 2.843(alue. A)-.25 F .343(null v)
+2.843 F .343(alue e)-.25 F -.25(va)-.25 G .343(luates to 0.).25 F 2.843
+(As)5.343 G .343(hell v)-2.843 F .343(ariable need not ha)-.25 F .643
+-.15(ve i)-.2 H .343(ts inte).15 F .344(ger attrib)-.15 F .344
+(ute turned on)-.2 F(to be used in an e)108 619.2 Q(xpression.)-.15 E
+1.406(Constants with a leading 0 are interpreted as octal numbers.)108
+636 R 3.906(Al)6.406 G 1.406(eading 0x or 0X denotes he)-3.906 F
+(xadecimal.)-.15 E .589(Otherwise, numbers tak)108 648 R 3.089(et)-.1 G
+.589(he form [)-3.089 F F3(base#)A F0 .589(]n, where)B F3(base)3.089 E
+F0 .59(is a decimal number between 2 and 64 represent-)3.089 F .093
+(ing the arithmetic base, and)108 660 R F3(n)2.593 E F0 .093
+(is a number in that base.)2.593 F(If)5.093 E F3(base#)2.593 E F0 .092
+(is omitted, then base 10 is used.)2.593 F .092(The digits)5.092 F .064
 (greater than 9 are represented by the lo)108 672 R .064
 (wercase letters, the uppercase letters, @, and _, in that order)-.25 F
-5.064(.I)-.55 G(f)-5.064 E F3(base)2.564 E F0 .696
-(is less than or equal to 36, lo)108 684 R .697
-(wercase and uppercase letters may be used interchang)-.25 F .697
-(ably to represent num-)-.05 F(bers between 10 and 35.)108 696 Q .235
-(Operators are e)108 712.8 R -.25(va)-.25 G .235
+5.065(.I)-.55 G(f)-5.065 E F3(base)2.565 E F0 .697
+(is less than or equal to 36, lo)108 684 R .696
+(wercase and uppercase letters may be used interchang)-.25 F .696
+(ably to represent num-)-.05 F(bers between 10 and 35.)108 696 Q .234
+(Operators are e)108 712.8 R -.25(va)-.25 G .234
 (luated in order of precedence.).25 F(Sub-e)5.234 E .234
-(xpressions in parentheses are e)-.15 F -.25(va)-.25 G .234
+(xpressions in parentheses are e)-.15 F -.25(va)-.25 G .235
 (luated \214rst and may).25 F -.15(ove)108 724.8 S
 (rride the precedence rules abo).15 E -.15(ve)-.15 G(.).15 E
-(GNU Bash-3.0)72 768 Q(2004 Apr 20)148.735 E(24)198.725 E 0 Cg EP
+(GNU Bash-3.0)72 768 Q(2004 May 27)147.345 E(24)197.335 E 0 Cg EP
 %%Page: 25 25
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 389.54(SH\(1\) B).35 F(ASH\(1\))
 -.35 E/F1 10.95/Times-Bold@0 SF(CONDITION)72 84 Q(AL EXPRESSIONS)-.219 E
-F0 .255(Conditional e)108 96 R .255(xpressions are used by the)-.15 F/F2
+F0 .256(Conditional e)108 96 R .256(xpressions are used by the)-.15 F/F2
 10/Times-Bold@0 SF([[)2.755 E F0 .255(compound command and the)2.755 F
-F2(test)2.755 E F0(and)2.755 E F2([)2.756 E F0 -.2(bu)2.756 G .256
+F2(test)2.755 E F0(and)2.755 E F2([)2.755 E F0 -.2(bu)2.755 G .255
 (iltin commands to test).2 F .77(\214le attrib)108 108 R .77
 (utes and perform string and arithmetic comparisons.)-.2 F .77
-(Expressions are formed from the follo)5.77 F(wing)-.25 E 1.04
-(unary or binary primaries.)108 120 R 1.04(If an)6.04 F(y)-.15 E/F3 10
-/Times-Italic@0 SF(\214le)3.54 E F0(ar)3.54 E 1.041
-(gument to one of the primaries is of the form)-.18 F F3(/de)3.541 E
-(v/fd/n)-.15 E F0 3.541(,t)C 1.041(hen \214le)-3.541 F(descriptor)108
-132 Q F3(n)3.789 E F0 1.289(is check)3.789 F 3.789(ed. If)-.1 F(the)
-3.789 E F3(\214le)3.789 E F0(ar)3.789 E 1.289
+(Expressions are formed from the follo)5.77 F(wing)-.25 E 1.041
+(unary or binary primaries.)108 120 R 1.041(If an)6.041 F(y)-.15 E/F3 10
+/Times-Italic@0 SF(\214le)3.541 E F0(ar)3.541 E 1.04
+(gument to one of the primaries is of the form)-.18 F F3(/de)3.54 E
+(v/fd/n)-.15 E F0 3.54(,t)C 1.04(hen \214le)-3.54 F(descriptor)108 132 Q
+F3(n)3.788 E F0 1.289(is check)3.788 F 3.789(ed. If)-.1 F(the)3.789 E F3
+(\214le)3.789 E F0(ar)3.789 E 1.289
 (gument to one of the primaries is one of)-.18 F F3(/de)3.789 E(v/stdin)
--.15 E F0(,)A F3(/de)3.788 E(v/stdout)-.15 E F0 3.788(,o)C(r)-3.788 E F3
+-.15 E F0(,)A F3(/de)3.789 E(v/stdout)-.15 E F0 3.789(,o)C(r)-3.789 E F3
 (/de)108 144 Q(v/stderr)-.15 E F0 2.5<2c8c>C
 (le descriptor 0, 1, or 2, respecti)-2.5 E -.15(ve)-.25 G(ly).15 E 2.5
 (,i)-.65 G 2.5(sc)-2.5 G(heck)-2.5 E(ed.)-.1 E F2<ad61>108 168 Q F3
diff --git a/doc/bashref.bt b/doc/bashref.bt
index 7dfad509..ddaba555 100644
--- a/doc/bashref.bt
+++ b/doc/bashref.bt
@@ -31,7 +31,7 @@
 \entry{let}{43}{\code {let}}
 \entry{local}{43}{\code {local}}
 \entry{logout}{43}{\code {logout}}
-\entry{printf}{43}{\code {printf}}
+\entry{printf}{44}{\code {printf}}
 \entry{read}{44}{\code {read}}
 \entry{shopt}{45}{\code {shopt}}
 \entry{source}{48}{\code {source}}
diff --git a/doc/bashref.bts b/doc/bashref.bts
index aab8628e..756c131f 100644
--- a/doc/bashref.bts
+++ b/doc/bashref.bts
@@ -48,7 +48,7 @@
 \entry {\code {logout}}{43}
 \initial {P}
 \entry {\code {popd}}{74}
-\entry {\code {printf}}{43}
+\entry {\code {printf}}{44}
 \entry {\code {pushd}}{74}
 \entry {\code {pwd}}{36}
 \initial {R}
